﻿# Projecte retrovisor Grup 1 dimecres

## Autors
Víctor Fernández Vázquez

Pau Begara Bosch

Alexandre Veciana García

## Objectiu
Hem de crear un circuit per controlar el retrovisor d'un cotxe desde el diagrama de blocs fins al disseny real de la PCB.

## Requisits / Especificacions

 - Alimentació a 12V regulada a 3.3V
 - Microcontrolador DSPIC33ck256MC502
 - Comunicació CAN
 - Motors (x3)
 - Driver motor (x3)
 - Driver calefactor (x1)
 - Heater pel cristall
 - Sensor de temperatura i proximitat per i2c
 - LED indicador de proximitat
 - Botonera i2c
 - Botons (x5)
 - Extensor de E/S


## Components
| Descripció | Ref | Package | Datasheet | Proveedor | Preu/u | Unitats |
|---|---|---|---|---|---|---|
| Microcontrolador | DSPIC33ck256MC502 | SSOP | [datasheet](https://www.microchip.com/en-us/product/dsPIC33CK128MC502) | Microchip | 2.21€ | 1x |
| Regulador de tensió | LM1117 | SOT-223 | [datasheet](https://www.mouser.es/datasheet/2/308/1/LM1117_D-2315022.pdf) | Mouser | 0.61€ | 1x |
| Driver de motor | BD6941FM-E2 | HSOP-M-36 | [datasheet](https://www.mouser.es/datasheet/2/348/ROHM_S_A0001749335_1-2561708.pdf) | Mouser | 3.90€ | 3x |
| Driver del calefactor | MP6652GJL-0000-P | TSOT23-6-L | [datasheet](https://www.mouser.es/datasheet/2/277/MP6652GS-3324501.pdf) | Mouser | 1.88€ | 1x |
| CAN transciever | XR31234EDTR  | SOIC8 | [datasheet](https://www.mouser.es/datasheet/2/146/xr31233_xr31234_xr31235-1855373.pdf) | Mouser | 2.63€ | 1x |
| Sensor de proximitat | TMF8828-1AM | OLGA12 | [datasheet](https://look.ams-osram.com/m/52236c476132a095/original/TMF8820-21-28-Multizone-Time-of-Flight-Sensor.pdf) | Mouser | 9.93€ | 1x |
| Motors del retrovisor | SE15K1BTYJ | Custom | [datasheet](https://www.mouser.es/datasheet/2/1490/S_15_data_sheet-3237173.pdf) | Mouser | 7.35€ | 3x |
| Calefactor cristall | GBR-612 | Custom | [datasheet](https://www.tme.eu/Document/745dece1e8a1927996aa7af3a5cfc3a0/GBR-612_ENG.pdf) | TME | 4.55€ | 1x |
| Oscil·lador | HC-49-US | SMD | [datasheet](https://docs.rs-online.com/2d42/0900766b8151cc77.pdf) | Mouser | 0.53€ | 1x |
| LED vermell | HSMC-C177 | SMD | [datasheet](https://www.mouser.es/datasheet/2/678/av02-0975en-1827704.pdf) | Mouser | 0.57€ | 1x |
| Sensor tèrmic | ADT7422 | Custom | [datasheet](https://www.mouser.es/datasheet/2/609/ADT7422-3121412.pdf) | Mouser | 22.32€ | 1x |
| Botó | B3U-1000P| SPST/SMD | [datasheet](https://www.mouser.es/datasheet/2/307/en-b3u-3615.pdf) | Mouser | 0.92€ | 5x |
| Extensor de E/S | NCA9595PWJ | TSSOP-24 | [datasheet](https://www.mouser.es/datasheet/2/916/NCA9595-3196403.pdf) | Mouser | 1.75€ | 1x |

## Software

 - Inkscape per fer el diagrama de blocs
 - LTSpice per fer les simulacions
 - KiCad per dissenyar i implementar el circuit a una PCB

## Historial de canvis

| Data | Autor | Versió | Descripció |
|---|---|---|---|
| 1/4/24 | Víctor | inici | S'afegeix el diagrama de blocs en la subcarpeta Im i la presentació de powerpiont actualitzada en Doc. També es puja la primera versió inacabada de l'esquemàtic |
| 2/4/24 | Pau | v1 | Actualitzat l'esquemàtic a la seva versió de presentació del dia 3/4/24 |
| 3/4/24 | Alex | v1.1 | S'ha posat els arxius a la carpeta correcta i s'ha actualitzat l'esquemàtic afegint els gnd |
| 8/4/24 | Pau |v1.2| S'ha actualitzat l'esquemàtic per adequar-se a alguns comentaris |
| 8/4/24 | Víctor | v1.2 | S'acaben d'adreçar els comentaris del projecte |
| 9/4/24 | Alex | v1.2 | S'ha afegit una primera PCB, no està endreçada pero estan les petjades de la majoria de components i els plans i les víes d'alimentació |
| 9/4/24 | Pau | v1.2 | S'ha afegit les petjades que faltaven al layout de la PCB |
| 10/4/24 | Alex | v1.2 | S'ha arreglat el Silkscreen de la PCB |
| 10/4/24 | Víctor | v1.3 | Es pujen l'esquemàtic amb els components definitius i la primera versió del PCB acabat |
| 13/4/24 | Víctor | v1.3 | Reorganització de la PCB |
| 16/4/24 | Víctor | v1.4 | Reorganització de la PCB, esquematic i drivers |
| 16/4/24 | Alex | v1.5 | Connexió i plans d'alimentació de la PCB |
| 22/4/24 | Víctor | v1.5 | Refet el layout de la PCB (ver 1.3), s'adreçen els últims comentaris i es passa el DRC sense errors i amb quatre avisos de footprints justificables |

## Diagrama de blocs
 ![Diagrama de blocs](Diagrama de bloques.png)

